# Uses of Enum Class
net.shibboleth.idp.session.context.LogoutPropagationContext.Result

Packages that use LogoutPropagationContext.Result
Package
Description
net.shibboleth.idp.session.context
Context classes for managing session-related state.

## Uses of LogoutPropagationContext.Result in net.shibboleth.idp.session.context

Fields in net.shibboleth.idp.session.context declared as LogoutPropagationContext.Result
Modifier and Type
Field
Description
`private LogoutPropagationContext.Result`
LogoutPropagationContext.`result`
Result of logout propagation flow.
Methods in net.shibboleth.idp.session.context that return LogoutPropagationContext.Result
Modifier and Type
Method
Description
`LogoutPropagationContext.Result`
LogoutPropagationContext.`getResult()`
Get the result of the logout propagation.
`static LogoutPropagationContext.Result`
LogoutPropagationContext.Result.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogoutPropagationContext.Result[]`
LogoutPropagationContext.Result.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.session.context with parameters of type LogoutPropagationContext.Result
Modifier and Type
Method
Description
`void`
LogoutPropagationContext.`setResult(LogoutPropagationContext.Result theResult)`
Set the logout propagation result.